Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455899 - I forget to vpnc-disconnect, next startup painfully slow
Summary: I forget to vpnc-disconnect, next startup painfully slow
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vpnc
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-18 17:04 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2008-09-10 06:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-10 06:41:38 UTC


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2008-07-18 17:04:04 UTC
I do *not* use NetworkManager.

Very often I forget to vpnc-disconnect on shutdown/reboot.
As a consequence, the vpn version of /etc/resolv.conf is still active on the
next startup, which results in a painfully slow startup, because of dns lookup
failures and timeouts.

Could the vpnc package be enhanced to automatically issue a vpnc-disconnect when
we go to shutdown? (runlevel 6 ?)

Comment 1 Tomas Mraz 2008-07-25 07:41:19 UTC
I have used upstart event for cleaning up this just after rc.sysinit is done.
Hopefully it will work.


Comment 2 Fedora Update System 2008-07-25 07:43:06 UTC
vpnc-0.5.1-6.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-07-30 20:01:40 UTC
vpnc-0.5.1-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vpnc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6782

Comment 4 Kai Engert (:kaie) (inactive account) 2008-08-05 18:02:29 UTC
Thank you very much for the work on this one.

Note I'm currently travelling and not in my usual environment, using network manager for wireless.

I have installed your package, and it looks good so far. I am still able to manually connect to the VPN (after having set up the connection with network manager). I tried a reboot (while on VPN) and the resolv.conf got reset to empty.

I can do a test in my usual infrastructure in about a week.

Comment 5 Tomas Mraz 2008-08-05 18:31:24 UTC
resolv.conf contents should be restored to the contents of /var/run/vpnc/resolv.conf-backup before the reboot happened. Was that file empty?

Comment 6 Kai Engert (:kaie) (inactive account) 2008-08-05 18:42:30 UTC
When I said "it was empty" I meant, it only had some comments, from NetworkManager saying "do not edit", and no nameserver entries. This was because my default setting was to no startup anything automatically after boot. I assume it matched the backup you mentioned.

Comment 7 Fedora Update System 2008-09-10 06:41:33 UTC
vpnc-0.5.1-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.